## UDisksPhysicalVolume

UDisksPhysicalVolume — Generated C code for the org.freedesktop.UDisks2.PhysicalVolume D-Bus interface

## Functions

void | udisks_physical_volume_proxy_new ()
UDisksPhysicalVolume * | udisks_physical_volume_proxy_new_finish ()
UDisksPhysicalVolume * | udisks_physical_volume_proxy_new_sync ()
void | udisks_physical_volume_proxy_new_for_bus ()
UDisksPhysicalVolume * | udisks_physical_volume_proxy_new_for_bus_finish ()
UDisksPhysicalVolume * | udisks_physical_volume_proxy_new_for_bus_sync ()
guint64 | udisks_physical_volume_get_free_size ()
void | udisks_physical_volume_set_free_size ()
guint64 | udisks_physical_volume_get_size ()
void | udisks_physical_volume_set_size ()
const gchar * | udisks_physical_volume_get_volume_group ()
gchar * | udisks_physical_volume_dup_volume_group ()
void | udisks_physical_volume_set_volume_group ()
UDisksPhysicalVolume * | udisks_physical_volume_skeleton_new ()

## Types and Values

| UDisksPhysicalVolume
struct | UDisksPhysicalVolumeProxy
struct | UDisksPhysicalVolumeProxyClass
struct | UDisksPhysicalVolumeSkeleton
struct | UDisksPhysicalVolumeSkeletonClass

## Object Hierarchy

        GInterface
        ╰── UDisksPhysicalVolume

## Prerequisites

UDisksPhysicalVolume requires GObject.

## Description

This section contains code for working with the org.freedesktop.UDisks2.PhysicalVolume D-Bus interface in C.

## Functions

### udisks_physical_volume_proxy_new ()

    void
    udisks_physical_volume_proxy_new (GDBusConnection *connection,
                                      GDBusProxyFlags flags,
                                      const gchar *name,
                                      const gchar *object_path,
                                      GCancellable *cancellable,
                                      GAsyncReadyCallback callback,
                                      gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.PhysicalVolume. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_physical_volume_proxy_new_finish()` to get the result of the operation.

See `udisks_physical_volume_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_physical_volume_proxy_new_finish ()

    UDisksPhysicalVolume *
    udisks_physical_volume_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_physical_volume_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_physical_volume_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksPhysicalVolumeProxy]

Since: 2.0.0

### udisks_physical_volume_proxy_new_sync ()

    UDisksPhysicalVolume *
    udisks_physical_volume_proxy_new_sync (GDBusConnection *connection,
                                           GDBusProxyFlags flags,
                                           const gchar *name,
                                           const gchar *object_path,
                                           GCancellable *cancellable,
                                           GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.PhysicalVolume. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_physical_volume_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksPhysicalVolumeProxy]

Since: 2.0.0

### udisks_physical_volume_proxy_new_for_bus ()

    void
    udisks_physical_volume_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `udisks_physical_volume_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_physical_volume_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_physical_volume_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_physical_volume_proxy_new_for_bus_finish ()

    UDisksPhysicalVolume *
    udisks_physical_volume_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_physical_volume_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_physical_volume_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksPhysicalVolumeProxy]

Since: 2.0.0

### udisks_physical_volume_proxy_new_for_bus_sync ()

    UDisksPhysicalVolume *
    udisks_physical_volume_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `udisks_physical_volume_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_physical_volume_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksPhysicalVolumeProxy]

Since: 2.0.0

### udisks_physical_volume_get_free_size ()

    guint64
    udisks_physical_volume_get_free_size (UDisksPhysicalVolume *object);

Gets the value of the "FreeSize" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksPhysicalVolume. |

#### Returns

The property value.

Since: 2.0.0

### udisks_physical_volume_set_free_size ()

    void
    udisks_physical_volume_set_free_size (UDisksPhysicalVolume *object,
                                          guint64 value);

Sets the "FreeSize" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksPhysicalVolume. |
value | The value to set. |

Since: 2.0.0

### udisks_physical_volume_get_size ()

    guint64
    udisks_physical_volume_get_size (UDisksPhysicalVolume *object);

Gets the value of the "Size" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksPhysicalVolume. |

#### Returns

The property value.

Since: 2.0.0

### udisks_physical_volume_set_size ()

    void
    udisks_physical_volume_set_size (UDisksPhysicalVolume *object,
                                     guint64 value);

Sets the "Size" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksPhysicalVolume. |
value | The value to set. |

Since: 2.0.0

### udisks_physical_volume_get_volume_group ()

    const gchar *
    udisks_physical_volume_get_volume_group
                                   (UDisksPhysicalVolume *object);

Gets the value of the "VolumeGroup" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_physical_volume_dup_volume_group()` if on another thread.

[skip]

#### Parameters

object | A UDisksPhysicalVolume. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.0.0

### udisks_physical_volume_dup_volume_group ()

    gchar *
    udisks_physical_volume_dup_volume_group
                                   (UDisksPhysicalVolume *object);

Gets a copy of the "VolumeGroup" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksPhysicalVolume. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 2.0.0

### udisks_physical_volume_set_volume_group ()

    void
    udisks_physical_volume_set_volume_group
                                   (UDisksPhysicalVolume *object,
                                    const gchar *value);

Sets the "VolumeGroup" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksPhysicalVolume. |
value | The value to set. |

Since: 2.0.0

### udisks_physical_volume_skeleton_new ()

    UDisksPhysicalVolume *
    udisks_physical_volume_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.PhysicalVolume.

#### Returns

The skeleton object.

[transfer full][type UDisksPhysicalVolumeSkeleton]

Since: 2.0.0

## Types and Values

### UDisksPhysicalVolume

    typedef struct _UDisksPhysicalVolume UDisksPhysicalVolume;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.PhysicalVolume.

Since: 2.0.0

### struct UDisksPhysicalVolumeProxy

    struct UDisksPhysicalVolumeProxy {
    };

The UDisksPhysicalVolumeProxy structure contains only private data and should only be accessed using the provided API.

Since: 2.0.0

### struct UDisksPhysicalVolumeProxyClass

    struct UDisksPhysicalVolumeProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksPhysicalVolumeProxy.

#### Members

Since: 2.0.0

### struct UDisksPhysicalVolumeSkeleton

    struct UDisksPhysicalVolumeSkeleton {
    };

The UDisksPhysicalVolumeSkeleton structure contains only private data and should only be accessed using the provided API.

Since: 2.0.0

### struct UDisksPhysicalVolumeSkeletonClass

    struct UDisksPhysicalVolumeSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksPhysicalVolumeSkeleton.

#### Members

Since: 2.0.0